Bug 2004853 - Module yaml error: Unexpected key in data: static_context
Summary: Module yaml error: Unexpected key in data: static_context
Keywords:
Status: POST
Alias: None
Product: Fedora
Classification: Fedora
Component: libdnf
Version: 34
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: ---
Assignee: amatej
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-16 08:59 UTC by Michal
Modified: 2021-11-04 15:08 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2007166 (view as bug list)
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Michal 2021-09-16 08:59:31 UTC
Since today (2021-09-16) I am not able to install some packages on a clean install of https://archives.fedoraproject.org/pub/fedora/linux/releases/33/Cloud/x86_64/images/Fedora-Cloud-Base-33-1.2.x86_64.qcow2. It's "clean" in the sense that it's fetched and passed directly to a packer instance which then provisions the entire VM so there's no work done inside the image prior that process. Example:

[root@fedora33-cloud-31864 spdk]# dnf install -y autoconf
Fedora 33 openh264 (From Cisco) - x86_64                                                                                                                                    1.6 kB/s | 2.5 kB     00:01
Fedora Modular 33 - x86_64                                                                                                                                                  950 kB/s | 1.9 MB     00:02
Fedora Modular 33 - x86_64 - Updates                                                                                                                                        2.7 MB/s | 2.9 MB     00:01
Fedora 33 - x86_64 - Updates                                                                                                                                                7.9 MB/s |  33 MB     00:04
Fedora 33 - x86_64                                                                                                                                                          5.7 MB/s |  64 MB     00:11
Module yaml error: Unexpected key in data: static_context [line 9 col 3]
Module yaml error: Unexpected key in data: static_context [line 9 col 3]
Module yaml error: Unexpected key in data: static_context [line 9 col 3]
Module yaml error: Unexpected key in data: static_context [line 9 col 3]
Dependencies resolved.
============================================================================================================================================================================================================
 Package                                           Architecture                      Version                                                               Repository                                  Size
============================================================================================================================================================================================================
Installing:
 autoconf                                          noarch                            2.69-34.fc33                                                          fedora                                     666 k
Installing dependencies:
 m4                                                x86_64                            1.4.18-15.fc33                                                        fedora                                     211 k
 perl-AutoLoader                                   noarch                            5.74-471.module_f33+12592+71aff0e2                                    updates-modular                             31 k
 perl-B                                            x86_64                            1.80-471.module_f33+12592+71aff0e2                                    updates-modular                            189 k
 perl-Carp                                         noarch                            1.50-471.module_f33+12576+e1e4b70a                                    updates-modular                             38 k
 perl-Class-Struct                                 noarch                            0.66-471.module_f33+12592+71aff0e2                                    updates-modular                             32 k
 perl-Data-Dumper                                  x86_64                            2.174-471.module_f33+12576+e1e4b70a                                   updates-modular                             60 k
 perl-Digest                                       noarch                            1.20-1.module_f33+12831+24157273                                      updates-modular                             25 k
 perl-Digest-MD5                                   x86_64                            2.58-1.module_f33+11297+42184919                                      updates-modular                             36 k
 perl-DynaLoader                                   x86_64                            1.47-471.module_f33+12592+71aff0e2                                    updates-modular                             38 k
 perl-Encode                                       x86_64                            4:3.08-459.module_f33+12592+71aff0e2                                  updates-modular                            1.7 M
 perl-Errno                                        x86_64                            1.30-471.module_f33+12592+71aff0e2                                    updates-modular                             24 k
 perl-Exporter                                     noarch                            5.74-471.module_f33+12576+e1e4b70a                                    updates-modular                             39 k
 perl-Fcntl                                        x86_64                            1.13-471.module_f33+12592+71aff0e2                                    updates-modular                             30 k
 perl-File-Basename                                noarch                            2.85-471.module_f33+12592+71aff0e2                                    updates-modular                             27 k
 perl-File-Compare                                 noarch                            1.100.600-471.module_f33+12592+71aff0e2                               updates-modular                             23 k
 perl-File-Copy                                    noarch                            2.34-471.module_f33+12592+71aff0e2                                    updates-modular                             30 k
 perl-File-Find                                    noarch                            1.37-471.module_f33+12592+71aff0e2                                    updates-modular                             35 k
 perl-File-Path                                    noarch                            2.18-1.module_f33+11297+42184919                                      updates-modular                             36 k
 perl-File-Temp                                    noarch                            1:0.231.100-1.module_f33+11297+42184919                               updates-modular                             60 k
 perl-File-stat                                    noarch                            1.09-471.module_f33+12592+71aff0e2                                    updates-modular                             27 k
 perl-FileHandle                                   noarch                            2.03-471.module_f33+12592+71aff0e2                                    updates-modular                             25 k
 perl-Getopt-Long                                  noarch                            1:2.52-1.module_f33+11297+42184919                                    updates-modular                             61 k
 perl-Getopt-Std                                   noarch                            1.12-471.module_f33+12592+71aff0e2                                    updates-modular                             25 k
 perl-HTTP-Tiny                                    noarch                            0.078-1.module_f33+12592+71aff0e2                                     updates-modular                             55 k
 perl-IO                                           x86_64                            1.43-471.module_f33+12592+71aff0e2                                    updates-modular                             96 k
 perl-IPC-Open3                                    noarch                            1.21-471.module_f33+12592+71aff0e2                                    updates-modular                             32 k
 perl-MIME-Base64                                  x86_64                            3.16-1.module_f33+11297+42184919                                      updates-modular                             31 k
 perl-Net-SSLeay                                   x86_64                            1.88-9.fc33                                                           fedora                                     352 k
 perl-POSIX                                        x86_64                            1.94-471.module_f33+12592+71aff0e2                                    updates-modular                            106 k
 perl-PathTools                                    x86_64                            3.78-471.module_f33+12576+e1e4b70a                                    updates-modular                             88 k
 perl-Pod-Escapes                                  noarch                            1:1.07-471.module_f33+12576+e1e4b70a                                  updates-modular                             29 k
 perl-Pod-Perldoc                                  noarch                            3.28.01-471.module_f33+12576+e1e4b70a                                 updates-modular                             89 k
 perl-Pod-Simple                                   noarch                            1:3.42-1.module_f33+11297+42184919                                    updates-modular                            216 k
 perl-Pod-Usage                                    noarch                            4:2.01-1.module_f33+11297+42184919                                    updates-modular                             41 k
 perl-Scalar-List-Utils                            x86_64                            4:1.55-471.module_f33+12576+e1e4b70a                                  updates-modular                             74 k
 perl-SelectSaver                                  noarch                            1.02-471.module_f33+12592+71aff0e2                                    updates-modular                             21 k
 perl-Socket                                       x86_64                            4:2.031-1.module_f33+11297+42184919                                   updates-modular                             56 k
 perl-Storable                                     x86_64                            1:3.21-471.module_f33+12576+e1e4b70a                                  updates-modular                             91 k
 perl-Symbol                                       noarch                            1.08-471.module_f33+12592+71aff0e2                                    updates-modular                             24 k
 perl-Term-ANSIColor                               noarch                            5.01-471.module_f33+12576+e1e4b70a                                    updates-modular                             49 k
 perl-Term-Cap                                     noarch                            1.17-471.module_f33+12576+e1e4b70a                                    updates-modular                             30 k
 perl-Text-ParseWords                              noarch                            3.30-471.module_f33+12576+e1e4b70a                                    updates-modular                             25 k
 perl-Text-Tabs+Wrap                               noarch                            2013.0523-471.module_f33+12576+e1e4b70a                               updates-modular                             31 k
 perl-Time-Local                                   noarch                            2:1.300-4.module_f33+11297+42184919                                   updates-modular                             34 k
 perl-URI                                          noarch                            1.76-9.module_f33+11297+42184919                                      updates-modular                            108 k
 perl-base                                         noarch                            2.27-471.module_f33+12592+71aff0e2                                    updates-modular                             26 k
 perl-constant                                     noarch                            1.33-471.module_f33+12576+e1e4b70a                                    updates-modular                             31 k
 perl-if                                           noarch                            0.60.800-471.module_f33+12592+71aff0e2                                updates-modular                             24 k
 perl-interpreter                                  x86_64                            4:5.32.1-471.module_f33+12592+71aff0e2                                updates-modular                             81 k
 perl-libnet                                       noarch                            3.13-1.module_f33+11297+42184919                                      updates-modular                            127 k
 perl-libs                                         x86_64                            4:5.32.1-471.module_f33+12592+71aff0e2                                updates-modular                            2.1 M
 perl-macros                                       noarch                            4:5.32.1-471.module_f33+12592+71aff0e2                                updates-modular                             20 k
 perl-mro                                          x86_64                            1.23-471.module_f33+12592+71aff0e2                                    updates-modular                             38 k
 perl-overload                                     noarch                            1.31-471.module_f33+12592+71aff0e2                                    updates-modular                             55 k
 perl-overloading                                  noarch                            0.02-471.module_f33+12592+71aff0e2                                    updates-modular                             22 k
 perl-parent                                       noarch                            1:0.238-471.module_f33+12576+e1e4b70a                                 updates-modular                             23 k
 perl-podlators                                    noarch                            1:4.14-471.module_f33+12576+e1e4b70a                                  updates-modular                            107 k
 perl-subs                                         noarch                            1.03-471.module_f33+12592+71aff0e2                                    updates-modular                             21 k
 perl-vars                                         noarch                            1.05-471.module_f33+12592+71aff0e2                                    updates-modular                             23 k
Installing weak dependencies:
 perl-IO-Socket-IP                                 noarch                            0.41-2.module_f33+11297+42184919                                      updates-modular                             43 k
 perl-IO-Socket-SSL                                noarch                            2.068-3.fc33                                                          fedora                                     216 k
 perl-Mozilla-CA                                   noarch                            20200520-3.fc33                                                       fedora                                      12 k
 perl-NDBM_File                                    x86_64                            1.15-471.module_f33+12592+71aff0e2                                    updates-modular                             32 k

Transaction Summary
============================================================================================================================================================================================================
Install  64 Packages

Total download size: 8.0 M
Installed size: 27 M
Downloading Packages:
(1/64): perl-AutoLoader-5.74-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                        60 kB/s |  31 kB     00:00
(2/64): perl-Carp-1.50-471.module_f33+12576+e1e4b70a.noarch.rpm                                                                                                              67 kB/s |  38 kB     00:00
(3/64): perl-B-1.80-471.module_f33+12592+71aff0e2.x86_64.rpm                                                                                                                295 kB/s | 189 kB     00:00
(4/64): perl-Class-Struct-0.66-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                     201 kB/s |  32 kB     00:00
(5/64): perl-Data-Dumper-2.174-471.module_f33+12576+e1e4b70a.x86_64.rpm                                                                                                     335 kB/s |  60 kB     00:00
(6/64): perl-Digest-1.20-1.module_f33+12831+24157273.noarch.rpm                                                                                                             237 kB/s |  25 kB     00:00
(7/64): perl-Digest-MD5-2.58-1.module_f33+11297+42184919.x86_64.rpm                                                                                                         249 kB/s |  36 kB     00:00
(8/64): perl-DynaLoader-1.47-471.module_f33+12592+71aff0e2.x86_64.rpm                                                                                                       269 kB/s |  38 kB     00:00
(9/64): perl-Errno-1.30-471.module_f33+12592+71aff0e2.x86_64.rpm                                                                                                            176 kB/s |  24 kB     00:00
(10/64): perl-Exporter-5.74-471.module_f33+12576+e1e4b70a.noarch.rpm                                                                                                        279 kB/s |  39 kB     00:00
(11/64): perl-Fcntl-1.13-471.module_f33+12592+71aff0e2.x86_64.rpm                                                                                                           222 kB/s |  30 kB     00:00
(12/64): perl-File-Basename-2.85-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                   225 kB/s |  27 kB     00:00
(13/64): perl-Encode-3.08-459.module_f33+12592+71aff0e2.x86_64.rpm                                                                                                          3.5 MB/s | 1.7 MB     00:00
(14/64): perl-File-Compare-1.100.600-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                               160 kB/s |  23 kB     00:00
(15/64): perl-File-Copy-2.34-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                       203 kB/s |  30 kB     00:00
(16/64): perl-File-Find-1.37-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                       310 kB/s |  35 kB     00:00
(17/64): perl-File-Path-2.18-1.module_f33+11297+42184919.noarch.rpm                                                                                                         252 kB/s |  36 kB     00:00
(18/64): perl-File-Temp-0.231.100-1.module_f33+11297+42184919.noarch.rpm                                                                                                    442 kB/s |  60 kB     00:00
(19/64): perl-File-stat-1.09-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                       261 kB/s |  27 kB     00:00
(20/64): perl-Getopt-Std-1.12-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                      167 kB/s |  25 kB     00:00
(21/64): perl-HTTP-Tiny-0.078-1.module_f33+12592+71aff0e2.noarch.rpm                                                                                                        527 kB/s |  55 kB     00:00
(22/64): perl-IO-1.43-471.module_f33+12592+71aff0e2.x86_64.rpm                                                                                                              904 kB/s |  96 kB     00:00
(23/64): perl-IO-Socket-IP-0.41-2.module_f33+11297+42184919.noarch.rpm                                                                                                      415 kB/s |  43 kB     00:00
(24/64): perl-FileHandle-2.03-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                       39 kB/s |  25 kB     00:00
(25/64): perl-IPC-Open3-1.21-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                       311 kB/s |  32 kB     00:00
(26/64): perl-Getopt-Long-2.52-1.module_f33+11297+42184919.noarch.rpm                                                                                                       101 kB/s |  61 kB     00:00
(27/64): perl-NDBM_File-1.15-471.module_f33+12592+71aff0e2.x86_64.rpm                                                                                                       308 kB/s |  32 kB     00:00
(28/64): perl-MIME-Base64-3.16-1.module_f33+11297+42184919.x86_64.rpm                                                                                                       213 kB/s |  31 kB     00:00
(29/64): perl-POSIX-1.94-471.module_f33+12592+71aff0e2.x86_64.rpm                                                                                                           602 kB/s | 106 kB     00:00
(30/64): perl-PathTools-3.78-471.module_f33+12576+e1e4b70a.x86_64.rpm                                                                                                       844 kB/s |  88 kB     00:00
(31/64): perl-Pod-Escapes-1.07-471.module_f33+12576+e1e4b70a.noarch.rpm                                                                                                     205 kB/s |  29 kB     00:00
(32/64): perl-Pod-Simple-3.42-1.module_f33+11297+42184919.noarch.rpm                                                                                                        1.9 MB/s | 216 kB     00:00
(33/64): perl-Pod-Perldoc-3.28.01-471.module_f33+12576+e1e4b70a.noarch.rpm                                                                                                  644 kB/s |  89 kB     00:00
(34/64): perl-Scalar-List-Utils-1.55-471.module_f33+12576+e1e4b70a.x86_64.rpm                                                                                               710 kB/s |  74 kB     00:00
(35/64): perl-Pod-Usage-2.01-1.module_f33+11297+42184919.noarch.rpm                                                                                                         249 kB/s |  41 kB     00:00
(36/64): perl-SelectSaver-1.02-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                     162 kB/s |  21 kB     00:00
(37/64): perl-Socket-2.031-1.module_f33+11297+42184919.x86_64.rpm                                                                                                           533 kB/s |  56 kB     00:00
(38/64): perl-Symbol-1.08-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                          185 kB/s |  24 kB     00:00
(39/64): perl-Storable-3.21-471.module_f33+12576+e1e4b70a.x86_64.rpm                                                                                                        522 kB/s |  91 kB     00:00
(40/64): perl-Term-ANSIColor-5.01-471.module_f33+12576+e1e4b70a.noarch.rpm                                                                                                  473 kB/s |  49 kB     00:00
(41/64): perl-Term-Cap-1.17-471.module_f33+12576+e1e4b70a.noarch.rpm                                                                                                        223 kB/s |  30 kB     00:00
(42/64): perl-Text-Tabs+Wrap-2013.0523-471.module_f33+12576+e1e4b70a.noarch.rpm                                                                                             307 kB/s |  31 kB     00:00
(43/64): perl-Text-ParseWords-3.30-471.module_f33+12576+e1e4b70a.noarch.rpm                                                                                                 194 kB/s |  25 kB     00:00
(44/64): perl-URI-1.76-9.module_f33+11297+42184919.noarch.rpm                                                                                                               1.0 MB/s | 108 kB     00:00
(45/64): perl-Time-Local-1.300-4.module_f33+11297+42184919.noarch.rpm                                                                                                       271 kB/s |  34 kB     00:00
(46/64): perl-base-2.27-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                            176 kB/s |  26 kB     00:00
(47/64): perl-constant-1.33-471.module_f33+12576+e1e4b70a.noarch.rpm                                                                                                        299 kB/s |  31 kB     00:00
(48/64): perl-if-0.60.800-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                          127 kB/s |  24 kB     00:00
(49/64): perl-interpreter-5.32.1-471.module_f33+12592+71aff0e2.x86_64.rpm                                                                                                   591 kB/s |  81 kB     00:00
(50/64): perl-libnet-3.13-1.module_f33+11297+42184919.noarch.rpm                                                                                                            1.2 MB/s | 127 kB     00:00
(51/64): perl-mro-1.23-471.module_f33+12592+71aff0e2.x86_64.rpm                                                                                                             370 kB/s |  38 kB     00:00
(52/64): perl-macros-5.32.1-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                        157 kB/s |  20 kB     00:00
(53/64): perl-overload-1.31-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                        512 kB/s |  55 kB     00:00
(54/64): perl-overloading-0.02-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                     192 kB/s |  22 kB     00:00
(55/64): perl-parent-0.238-471.module_f33+12576+e1e4b70a.noarch.rpm                                                                                                         224 kB/s |  23 kB     00:00
(56/64): perl-podlators-4.14-471.module_f33+12576+e1e4b70a.noarch.rpm                                                                                                       626 kB/s | 107 kB     00:00
(57/64): perl-subs-1.03-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                            208 kB/s |  21 kB     00:00
(58/64): perl-vars-1.05-471.module_f33+12592+71aff0e2.noarch.rpm                                                                                                            186 kB/s |  23 kB     00:00
(59/64): perl-libs-5.32.1-471.module_f33+12592+71aff0e2.x86_64.rpm                                                                                                          3.3 MB/s | 2.1 MB     00:00
(60/64): autoconf-2.69-34.fc33.noarch.rpm                                                                                                                                   1.2 MB/s | 666 kB     00:00
(61/64): m4-1.4.18-15.fc33.x86_64.rpm                                                                                                                                       497 kB/s | 211 kB     00:00
(62/64): perl-IO-Socket-SSL-2.068-3.fc33.noarch.rpm                                                                                                                         509 kB/s | 216 kB     00:00
(63/64): perl-Mozilla-CA-20200520-3.fc33.noarch.rpm                                                                                                                         120 kB/s |  12 kB     00:00
(64/64): perl-Net-SSLeay-1.88-9.fc33.x86_64.rpm                                                                                                                             2.1 MB/s | 352 kB     00:00
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                       1.6 MB/s | 8.0 MB     00:04
Running transaction check
No available modular metadata for modular package 'perl-AutoLoader-5.74-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-B-1.80-471.module_f33+12592+71aff0e2.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-Carp-1.50-471.module_f33+12576+e1e4b70a.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Class-Struct-0.66-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Data-Dumper-2.174-471.module_f33+12576+e1e4b70a.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-Digest-1.20-1.module_f33+12831+24157273.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Digest-MD5-2.58-1.module_f33+11297+42184919.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-DynaLoader-1.47-471.module_f33+12592+71aff0e2.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-Encode-4:3.08-459.module_f33+12592+71aff0e2.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-Errno-1.30-471.module_f33+12592+71aff0e2.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-Exporter-5.74-471.module_f33+12576+e1e4b70a.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Fcntl-1.13-471.module_f33+12592+71aff0e2.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-File-Basename-2.85-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-File-Compare-1.100.600-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-File-Copy-2.34-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-File-Find-1.37-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-File-Path-2.18-1.module_f33+11297+42184919.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-File-Temp-1:0.231.100-1.module_f33+11297+42184919.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-File-stat-1.09-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-FileHandle-2.03-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Getopt-Long-1:2.52-1.module_f33+11297+42184919.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Getopt-Std-1.12-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-HTTP-Tiny-0.078-1.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-IO-1.43-471.module_f33+12592+71aff0e2.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-IO-Socket-IP-0.41-2.module_f33+11297+42184919.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-IPC-Open3-1.21-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-MIME-Base64-3.16-1.module_f33+11297+42184919.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-NDBM_File-1.15-471.module_f33+12592+71aff0e2.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-POSIX-1.94-471.module_f33+12592+71aff0e2.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-PathTools-3.78-471.module_f33+12576+e1e4b70a.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-Pod-Escapes-1:1.07-471.module_f33+12576+e1e4b70a.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Pod-Perldoc-3.28.01-471.module_f33+12576+e1e4b70a.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Pod-Simple-1:3.42-1.module_f33+11297+42184919.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Pod-Usage-4:2.01-1.module_f33+11297+42184919.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Scalar-List-Utils-4:1.55-471.module_f33+12576+e1e4b70a.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-SelectSaver-1.02-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Socket-4:2.031-1.module_f33+11297+42184919.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-Storable-1:3.21-471.module_f33+12576+e1e4b70a.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-Symbol-1.08-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Term-ANSIColor-5.01-471.module_f33+12576+e1e4b70a.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Term-Cap-1.17-471.module_f33+12576+e1e4b70a.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Text-ParseWords-3.30-471.module_f33+12576+e1e4b70a.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Text-Tabs+Wrap-2013.0523-471.module_f33+12576+e1e4b70a.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-Time-Local-2:1.300-4.module_f33+11297+42184919.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-URI-1.76-9.module_f33+11297+42184919.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-base-2.27-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-constant-1.33-471.module_f33+12576+e1e4b70a.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-if-0.60.800-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-interpreter-4:5.32.1-471.module_f33+12592+71aff0e2.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-libnet-3.13-1.module_f33+11297+42184919.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-libs-4:5.32.1-471.module_f33+12592+71aff0e2.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-macros-4:5.32.1-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-mro-1.23-471.module_f33+12592+71aff0e2.x86_64', it cannot be installed on the system
No available modular metadata for modular package 'perl-overload-1.31-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-overloading-0.02-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-parent-1:0.238-471.module_f33+12576+e1e4b70a.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-podlators-1:4.14-471.module_f33+12576+e1e4b70a.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-subs-1.03-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
No available modular metadata for modular package 'perl-vars-1.05-471.module_f33+12592+71aff0e2.noarch', it cannot be installed on the system
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: No available modular metadata for modular package


Not sure what suddenly changed but provisioning fedora32 ad fedora34, with the same set of packages, works just fine (and it was working fine for fedora33 even yesterday (2021-09-15)). Any hints would be appreciated.

Comment 1 Jaroslav Mracek 2021-09-20 10:59:45 UTC
May I ask you for a version of libmodulemd? (rpm -q libmodulemd)

Comment 2 Michal 2021-09-20 12:00:31 UTC
(In reply to Jaroslav Mracek from comment #1)
> May I ask you for a version of libmodulemd? (rpm -q libmodulemd)

Sure, here it is:

# modulemd-validator --version
modulemd-validator 2.9.4
# rpm -q libmodulemd
libmodulemd-2.9.4-3.fc33.x86_64

This is the version that's shipped inside the https://archives.fedoraproject.org/pub/fedora/linux/releases/33/Cloud/x86_64/images/Fedora-Cloud-Base-33-1.2.x86_64.qcow2. I can confirm that if I bump it to the latest one currently available for f33 (2.13.0), everything works as expected (errors from the initial report are gone as well).

Interestingly, inside the https://archives.fedoraproject.org/pub/fedora/linux/releases/32/Cloud/x86_64/images/Fedora-Cloud-Base-32-1.6.x86_64.qcow2 libmodulemd is at 2.9.1 which works from the very get-go. So I am guessing something suddenly started triggering a regression introduced somewhere between 2.9.1<->2.9.4? Or is something else the culprit here? In any case, updating the package seems to be a feasible workaround on f33. :)

Comment 3 Jaroslav Mracek 2021-09-20 15:08:40 UTC
The issue is valid for libmodulemd-2.9.4-3.fc33.x86_64 and can be resolved by upgrade libmodulemd (`dnf upgrade libmodulemd`). The issue is fixed in libmodulemd-2.13.0-1.fc33.

What happen? libmodulemd-2.9.4-3.fc33.x86_64 detected unknown field `static_context [line 9 col 3]` and it reports it as a problem. It resulted in visibility of all packages (modular and not modular) in dnf. Then dnf rejects installation of modular packages without metadata.

I am not 100% sure but I guess that libmodulemd-2.9.4-3.fc33.x86_64 skips all modules with static_context. This is a critical issue!!! Not only for Fedora but also for RHEL.

Because the issue is in libmodulemd, changing component. Please do not close the issue even if the upgrade of libmodulemd helped!

Comment 4 Michal 2021-09-20 16:15:26 UTC
Noted, appreciate the feedback. :)

Comment 5 Petr Pisar 2021-09-21 08:28:13 UTC
This is caused by DNF which explicitly strictly validates modulemd-v2 documents before using them. 
Since the old libmodulemd 2.9.4 does not recognize static_context field, it reports that the document is not strictly valid and DNF will discard it.
Because DNF discards all documents in a modular repository, it errors with "No available modular metadata for modular package".

DNF needs stop strictly validating the documents. Without strict validation, old libmodulemd will ignore unknown fields and DNF will happily consume them.

You can work around the DNF issues by upgrading libmodulemd first. Then subsequent invocations of DNF will recognize the same documents as valid. Because you use DNF for updating libmodulemd (and dnf, once fixed), you need temporarily disable modular repositories "dnf --disable-repo 'fedora-modular*' upgrade libmodulemd".

Comment 6 Petr Pisar 2021-09-21 09:16:58 UTC
To Michal's question what has changed: Yesterday first module builds with static_context field were pushed into stable repositories of Fedora 33. Your system probably has not enabled fedora-updates-testing-modular, thus you noticed this issue (= upgrading a nonupdated system) on pushing the modules into fedora-updates-modular repository.

Comment 7 Petr Pisar 2021-09-21 09:35:31 UTC
A support for the static_context field first appeared in libmodulemd-2.11.0. The only Fedora with older libmodulemd at G.A. is Fedora 33. Fedora 34 started with libmodulemd-2.11.2. Therefore upgrading from G.A. installation is affected only in Fedora 33.

We cannot change G.A. installation media. But I believe Fedora updates installation media periodically. libmodulemd-2.11.0-1.fc33 was pushed to stable updated repository on 2020-12-16. I will check whether current installation media contain updated libmodulemd.

Otherwise, the only fix would be retracting all the modules with static_context field from Fedora 33 repositories. Fedora 33 will be supported until 4 weeks after releasing Fedora 35 (not yet happened).

Comment 8 Michal 2021-09-21 10:29:57 UTC
(In reply to Petr Pisar from comment #6)
> To Michal's question what has changed: Yesterday first module builds with
> static_context field were pushed into stable repositories of Fedora 33. Your
> system probably has not enabled fedora-updates-testing-modular, thus you
> noticed this issue (= upgrading a nonupdated system) on pushing the modules
> into fedora-updates-modular repository.

Petr, Thanks for the detailed info. Indeed, fedora-updates-testing-modular was disabled as per the default setting shipped inside the .qcow2. Considering that, would you kindly advise if it's a good idea to enable it prior installing|upgrading any packages? Asking since the way how we provision our VMs doesn't really touch repos|dnf configuration (except some minor stuff like proxy, etc.) so we mainly depend on the defaults while installing some of the required stuff via dnf.

Comment 9 Petr Pisar 2021-09-21 11:28:57 UTC
(In reply to Michal from comment #8)
> Indeed, fedora-updates-testing-modular
> was disabled as per the default setting shipped inside the .qcow2.
> Considering that, would you kindly advise if it's a good idea to enable it
> prior installing|upgrading any packages?

Enabling the testing repository won't help you in resolving this issue. It's too late. Enabling that repository would only help you spotting any issues sooner and provide a feedback to Fedora. And based on that Fedora could resolve the issues before they reached the stable updates repository. For instance, if you reported this issue before 15th September, we could avoid it.

> Asking since the way how we
> provision our VMs doesn't really touch repos|dnf configuration (except some
> minor stuff like proxy, etc.) so we mainly depend on the defaults while
> installing some of the required stuff via dnf.

Your installation procedure is fine. Fedora supports upgrading from G.A. installation. But  we failed to verify the upgrade and broke it.

The problem that retracting updated from a stable updated repository is a non-standard procedure and I don't know how quickly or if Fedora will be able to fix it.

I also has a bad news. My assumption that Fedora updates installation media was false. Hence this issue cannot be resolved by releasing a new DNF or libmodulemd version.

Comment 10 Petr Pisar 2021-09-21 12:21:09 UTC
For DNF maintainers: This Python code shows a difference between strict and nonstrict validation:

#!/usr/bin/python3
import gi
gi.require_version("Modulemd", "2.0")
from gi.repository import Modulemd
from gi.repository.Modulemd import ModuleIndex
import sys

module = '''
document: modulemd
version: 2
data:
  name: foo
  stream: bar
  summary: text
  description: text
  version: 1
  x-unknown: A
  context: A
  license:
    module:
      - MIT
'''

index = ModuleIndex.new()
result, failures = index.update_from_string(module,
        False # ignore unknown fields
        #True # error on an unknown field
        )
if result:
    print("Successfully loaded:")
    for stream in index.search_streams():
        print("{}:{}".format(stream.get_module_name(),
            stream.get_stream_name()))
    sys.exit(0)
else:
    print("Loading failed:")
    for failure in failures:
        print(failure.get_gerror())
    sys.exit(1)

I could not find in DNF code where modulemd files are loaded. I hope it will help you in improving DNF. The update_from...() method should be called with False argument.

Comment 11 Petr Pisar 2021-09-21 13:27:21 UTC
Michal, I reproduced your issue and I have another work around for you, which actually I would recommend to do anytime: After a fresh installation, perform an upgrade, and then install additional packages:

# dnf upgrade
# dnf install autoconf

And don't forget rebooting the virtual machine to take in effect the updated kernel and other daemons and libraries.

Otherwise you will use up-to-date autoconf, but other software will contain known bugs, possibly critical security vulnerabilites.

Comment 12 Petr Pisar 2021-09-21 13:55:47 UTC
I asked relengs to evaluate the possibility of retracting the affected modules from Fedora 33 updates repository <https://pagure.io/releng/issue/10306>.

Comment 13 Petr Pisar 2021-09-21 15:57:34 UTC
Currently there are only two module builds with the static_context field in F33 repositories:

perl:5.32:3320210903081051:94c872f1 in updates,
swig:4.0:3320210916145835:601d93de in testing.

I will rebuild the perl and in a week it should reach updates repository and replace the faulty one.
I asked a swig maintainer to unpush it from testing.

Comment 14 Fedora Update System 2021-09-22 08:27:38 UTC
FEDORA-MODULAR-2021-8320b27b17 has been submitted as an update to Fedora 33 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-8320b27b17

Comment 15 amatej 2021-09-22 10:41:40 UTC
I made a PR that switches off the strict validation for dnf (it is done through libdnf) https://github.com/rpm-software-management/libdnf/pull/1346.

Comment 16 Petr Pisar 2021-09-22 10:55:32 UTC
Great. Does it make sense to move this bug report to libdnf component?

Comment 17 amatej 2021-09-22 12:22:51 UTC
We can but I think it's not hugely important.

Comment 18 Fedora Update System 2021-09-22 17:11:51 UTC
FEDORA-MODULAR-2021-8320b27b17 has been pushed to the Fedora 33 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-8320b27b17

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2021-10-01 01:46:57 UTC
FEDORA-MODULAR-2021-8320b27b17 has been pushed to the Fedora 33 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Petr Pisar 2021-10-05 11:57:02 UTC
Michal, the corrected perl:5.32 module reached Fedora 33 updates repository and you should not experience the reported problem any more when using Fedora 33 installation image.

Comment 21 Ben Cotton 2021-11-04 13:41:11 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Ben Cotton 2021-11-04 14:10:46 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 23 Ben Cotton 2021-11-04 15:08:14 UTC
This message is a reminder that Fedora 33 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 33 on 2021-11-30.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '33'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 33 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.